Authorize a user as account admin
Authorizes a user as an account admin. Use this to grant administrative access to manage account-level operations.
HTTP method and endpoint
POST /tenancy/authorize-user-is-account-admin
Token usage
BlueXP user token.
Usage notes
Authorizes a user as an account admin.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
authorization |
string |
header |
True |
Authorization JWT access token |
X-Service-Request-Id |
string |
header |
False |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
accountId |
string |
True |
|
userId |
string |
False |
|
resourceIdentifier |
string |
False |
|
agentId |
string |
False |
Example request
{
"accountId": "string",
"userId": "string",
"resourceIdentifier": "string",
"agentId": "string"
}
Response
Status: 200, Default response
Definitions
See Definitions
body
| Name | Type | Required | Description |
|---|---|---|---|
accountId |
string |
True |
|
userId |
string |
False |
|
resourceIdentifier |
string |
False |
|
agentId |
string |
False |